-- Version 0.0.1
-- Author AliasAlreadyTaken
-- License MIT

-- Changelog

local mod_start_time = minetest.get_us_time()
minetest.log("action", "[MOD] yl_survey_fs loading")

yl_survey_fs = {}
yl_survey_fs.error = {}
yl_survey_fs.modname = minetest.get_current_modname()
yl_survey_fs.modstorage = minetest.get_mod_storage()
yl_survey_fs.modpath = minetest.get_modpath("yl_survey_fs") .. DIR_DELIM
yl_survey_fs.worldpath = minetest.get_worldpath() .. DIR_DELIM

dofile(yl_survey_fs.modpath .. "texts.lua")
dofile(yl_survey_fs.modpath .. "information.lua")
dofile(yl_survey_fs.modpath .. "config.lua")
-- dofile(yl_survey_fs.modpath .. "setup.lua")
-- dofile(yl_survey_fs.modpath .. "privs.lua")
dofile(yl_survey_fs.modpath .. "internal.lua")
dofile(yl_survey_fs.modpath .. "api.lua")
dofile(yl_survey_fs.modpath .. "initialize.lua")
-- dofile(yl_survey_fs.modpath .. "distinct_feature.lua")
-- dofile(yl_survey_fs.modpath .. "overwrite_feature.lua")
-- dofile(yl_survey_fs.modpath .. "globalsteps.lua")
-- dofile(yl_survey_fs.modpath .. "chatcommands.lua")

local mod_end_time = (minetest.get_us_time() - mod_start_time) / 1000000
minetest.log("action", "[MOD] yl_survey_fs loaded in [" .. mod_end_time .. "s]")
