
# yl_survey_fs

## Purpose

This mod contains functions to deliver survey formspecs to participants and store their opinion.

## Download

Get it from https://gitea.your-land.de/your-land/yl_survey_fs

## Dependencies

See [mod.conf](mod.conf)

* [yl_survey](https://gitea.your-land.de/your-land/yl_survey)

## Installation

1. Copy the "yl_survey_fs" folder to your mod directory.
2. Make sure the [dependencies](#dependencies) are satisfied, if any.
3. Enable the mod in your world.mt file.

## Configuration

```
yl_survey_fs.debug = false
```
Set to true to enable debug mode

## Usage

This mod targets servers, but should work in singleplayer, too. It comes with no direct content but exposes functions you can use in your mod.

### Chatcommands


### Modmakers

Use the following public functions to deliver the survey formspecs

```
yl_survey_fs.deliver_survey(playername, survey_id)
```

Returns `true` if the survey could be sent to the player, `false, "errormessage"` if not.

## Limitations

* Only "respond to a survey" included
* Creation of surveys in the next iteration

## Alternatives
## Supported versions

If you use yl_survey_fs, but something is wrong, please [file a bug](https://gitea.your-land.de/your-land/yl_survey_fs/issues/new). PRs also welcome.

There is no reason to believe it doesn't work anywhere, but you never know.

## Allied projects

If you know a project that uses this mod tell us and we will add it to the list.

## Uninstall

Remove it from your mod folder or deactivate it in your world.mt

Mods that depend on it will cease to work, if the mod is removed without proper replacement.

## License

See [LICENSE.md](https://gitea.your-land.de/your-land/yl_survey_fs/src/LICENSE.md)

* Code MIT AliasAlreadyTaken
* Screenshot CC0 Styxcolor

## Thank you
